#!/bin/sh
#------------------------------------------------------------------------------
# status_ow_sensors.cgi - Display Status of OW-Sensors (rrdtool graph)
#
# Creation:     20129-10-01 Franke
# Last Update:  $Id: status_ow_sensors.cgi 23641 2012-09-11 14:12:07Z franke $
#
#------------------------------------------------------------------------------
# get main helper functions
# set_debug=yes

. /srv/www/include/cgi-helper

#SEC_ACTION='view'

#headtitle="OWFS_Sensor_Grafiken"

# Security
check_rights "status" "view"

#show_html_header "$headtitle" "${ref}"

show_html_header "OWFS_Sensor_Grafiken"

#-------------------------------------------------------------------------------
#----------- OW_SENSOR Graphs ----------------------------------------------------
#-------------------------------------------------------------------------------

if [ -e /srv/www/include/rrd-status_owfs.inc ]
then
    . /srv/www/include/rrd-common.inc 
    . /srv/www/include/rrd-status_owfs.inc 
    
   	tab_list=""
    for int in `ls -d ${rrd_dbpath}/onewire-* | cut -d "-" -f2`
    do
        : ${FORM_action:=$int}
        eval local rrd_source_time='$FORM_rrd_graphtime_'$rrd_source
        : ${rrd_source_time:=$rrd_default_graphtime}
        eval : \${FORM_rrd_graphtime_$int:=$rrd_default_graphtime}
        file=/var/run/ow_$int
        if [ -f $file ]
        then 
           int_name=`cat $file`
        else
           int_name="OWFS-Sensor:"$int
        fi
        if [ "$FORM_action" = "$int" ]
        then
            tab_list=`echo "$tab_list $int_name no"`
        else
            tab_list=`echo "$tab_list $int_name $myname?action=$int&amp;"`
        fi
    done

    show_tab_header $tab_list
    
    rrd_open_tab_list $FORM_action
    rrd_render_graph temperature $FORM_action
    rrd_close_tab_list
    show_tab_footer
fi

show_html_footer

